This service is archived, please use www.eclipse.org/forums


Home » Capella » Capella workbench » How to migrate a Capella model
icon4.gif  How to migrate a Capella model [message #1240] Thu, 02 February 2017 11:14 Go to next message
Christophe Gatti is currently offline  Christophe Gatti
Messages: 147
Registered: September 2014
Location: Paris, France
Senior Member

Hi all,

You have been several to face migration issues. Following is the procedure about how to migrate a Capella model to the next major version.

To launch the migration process on a Capella Project, right click on the project and choose migration > Migrate Project toward current version like this:


index.php/fa/344/0/


Regards,

The Capella Team.

[Updated on: Thu, 02 February 2017 11:14]

Report message to a moderator

Re: How to migrate a Capella model [message #1322 is a reply to message #1240] Tue, 14 March 2017 05:45 Go to previous messageGo to next message
Benoit VIAUD is currently offline  Benoit VIAUD
Messages: 16
Registered: February 2016
Junior Member
Hi,
Is there a way to perform a downgrade migration?
E.g. From 1.1.0 to 1.0.2 ...

Regards
Re: How to migrate a Capella model [message #1323 is a reply to message #1322] Tue, 14 March 2017 06:39 Go to previous messageGo to next message
Stephane Bonnet is currently offline  Stephane Bonnet
Messages: 396
Registered: December 2014
Senior Member
To my knowledge, nope Sad
Sorry...
Re: How to migrate a Capella model [message #1523 is a reply to message #1323] Thu, 17 August 2017 04:52 Go to previous messageGo to next message
Sebastien ROY is currently offline  Sebastien ROY
Messages: 3
Registered: August 2017
Junior Member
Hello,

Is there a way to migrate a model from 0.8.1 version of Capella to version 1.1.x ?

When I try to migrate my model, I get this message :
Quote:
Model file '/Project_xxx/yyy.melodymodeller' is too old to be migrated to '1.1.0'.
Don't migrate related aird models.


Regards

Sebastien
Re: How to migrate a Capella model [message #1524 is a reply to message #1523] Thu, 17 August 2017 05:02 Go to previous messageGo to next message
Christophe Gatti is currently offline  Christophe Gatti
Messages: 147
Registered: September 2014
Location: Paris, France
Senior Member

Hi,

As mentioned on the wiki, you can only execute the migration between two successive major versions of Capella.
In your case, you should execute a first migration using Capella 1.0.x then migrate your resulting model using Capella 1.1.x.

Regards,
Christophe

[Updated on: Thu, 17 August 2017 05:03]

Report message to a moderator

Re: How to migrate a Capella model [message #1525 is a reply to message #1524] Thu, 17 August 2017 07:43 Go to previous messageGo to next message
Sebastien ROY is currently offline  Sebastien ROY
Messages: 3
Registered: August 2017
Junior Member
Hello,
Thank you for your quick answer, and thank you for the link.

I tryied the migration of two projects with the following successive steps :
0.8.1 -> 1.0.0 : Ok
1.0.0 -> 1.1.0 : Ok
1.1.1 -> 1.1.1 : It was Ok for the first project but the migration of the second one failed due to a "missing version information". Capella 1.1.1 was however able to open the 1.1.0 project. Into the information dialog, the version information was "1.1.0, the project needs to be migrated", or something similar.
So, I tryed the migration again, and the second try succeeded !

So it now looks OK.

Regards
Re: How to migrate a Capella model [message #1921 is a reply to message #1525] Thu, 22 February 2018 09:39 Go to previous messageGo to next message
Mounia Elmajdi is currently offline  Mounia Elmajdi
Messages: 11
Registered: January 2018
Junior Member
Hello,

I tried to migrate my Capella Project from the version 1.0.2 to version 1.1.3 but unfortunately I faced an issue.
I followed the tutorial available on the wiki https:// wiki.polarsys.org/Capella/Installation_Guide#Migration_of_an _Existing_Projecthttp :// and when I exported my project on Capella 1.1.3 and tried to open it I had the following error:

File /IC Library/IC Library.afm is missing.
Please have a look at documentation about project migration.
org.polarsys.capella.core.af.integration.listener.NoMetadata Exception: File /IC Library/IC Library.afm is missing.
Please have a look at documentation about project migration.

Does anyone have an idea about how can I solve this issue ?

Regards

Mounia
Re: How to migrate a Capella model [message #1922 is a reply to message #1921] Thu, 22 February 2018 10:28 Go to previous messageGo to next message
Aurélien Pinsonneau is currently offline  Aurélien Pinsonneau
Messages: 169
Registered: November 2016
Senior Member
Hello Mounia,

I've tried on my side (1.0.2 -> 1.1.3) and it worked well.

Did you correctly followed the steps:
- install Capella 1.1.3
- import existing project (1.0.2) into workspace
- launch migration in Capella 1.1.3 (right click on the project folder, Migration / Migrate Project toward current version)
- you can now open the project in Capella 1.1.3!

If you did followed those steps, you can try to refresh the workspace (sometimes it does not automatically refresh).
For this you can right click on the project folder, then refresh.
You can also check if the .afm file has been created by exploring your workspace with windows file explorer.
Re: How to migrate a Capella model [message #1926 is a reply to message #1922] Thu, 22 February 2018 11:36 Go to previous messageGo to next message
Mounia Elmajdi is currently offline  Mounia Elmajdi
Messages: 11
Registered: January 2018
Junior Member
Hello Aurélien,

Thank you for your help.
I redid the migration procedure by refreshing the workspace and it worked.

Thanks again

Mounia

Re: How to migrate a Capella model [message #1962 is a reply to message #1926] Mon, 12 March 2018 12:27 Go to previous messageGo to next message
Matthieu is currently offline  Matthieu
Messages: 7
Registered: April 2016
Location: Paris
Junior Member
Hello,

I tried to migrate a project from CAPELLA 1.1.2 to 1.2.0 but I obtain the following error:
Some extensions are missing
Unknown 'CSConfiguration[]' from model
'http://www.polarsys.org/capella/ms'.

Could you please help me to solve this issue?

Matthieu
Re: How to migrate a Capella model [message #1964 is a reply to message #1962] Tue, 13 March 2018 04:26 Go to previous messageGo to next message
Stephane Bonnet is currently offline  Stephane Bonnet
Messages: 396
Registered: December 2014
Senior Member
Hi,

Apparently you were using the Modes/States/Configurations add-on in Capella 1.1.x. This add-on is not available yet for Capella 1.2.x. Hopefully it will availabel in the next few weeks.

You need to "detach" this viewpoint (meaning you will lose the data related to this add-on). See section "How to Detach Viewpoints from Capella Project?" in section "First steps with Capella" in the embedded help.
Re: How to migrate a Capella model [message #1969 is a reply to message #1964] Wed, 14 March 2018 10:15 Go to previous messageGo to next message
Matthieu is currently offline  Matthieu
Messages: 7
Registered: April 2016
Location: Paris
Junior Member
Hello Stéphane,

I detached the source model following the procedure.
Nevertheless I still have the same problem when I launch the migration process, with the same Error Sad
Re: How to migrate a Capella model [message #1970 is a reply to message #1969] Wed, 14 March 2018 10:39 Go to previous messageGo to next message
Stephane Bonnet is currently offline  Stephane Bonnet
Messages: 396
Registered: December 2014
Senior Member
Would you be able to share your model so that we can investigate? (privately, not necessarily on the forum)

Otherwise, here is what I would try:
  1. Try to open the model in a clean Capella 1.1.x (i.e. one without the Modes/States/Configurations dropins), using the detach functionality of Capella 1.1.x
  2. Once you are able to open Capella in this environment, try to migrate it in Capella 1.2.x



icon4.gif  Re: How to migrate a Capella model [message #2693 is a reply to message #1970] Wed, 16 January 2019 05:23 Go to previous message
chris.grice.rolls-royce.c is currently offline  chris.grice.rolls-royce.c
Messages: 4
Registered: July 2018
Junior Member
Tried to migrate my model from 1.1.1 to 1.2.0 and it comes up with the message

:Resource 'ReqIF_Test' does not exist.


Previous Topic: XHTML generation exception
Next Topic: Basic Viewpoints 1.3.0 are available
Goto Forum:
  


Current Time: Sun Mar 29 16:38:37 EST 2020

Total time taken to generate the page: 0.02140 seconds